> ## Documentation Index
> Fetch the complete documentation index at: https://www.fastforex.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List FX Pairs

> List approx 2,300 supported FX pairs



## OpenAPI

````yaml get /fx/pairs
openapi: 3.0.3
info:
  title: fastFOREX.io
  version: 2.3.2
  description: Foreign & cryptocurrency exchange rate API
  termsOfService: https://www.fastforex.io/terms-of-sale
  contact:
    email: support@fastforex.io
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.fastforex.io
    description: Production
  - url: https://api.beta.fastforex.io
    description: Beta
security:
  - api_key: []
  - apiKeyHeader: []
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: currency
    description: Physical currencies, rates and conversions
  - name: crypto
    description: Digital currencies, pairs & prices
  - name: fx
    description: Realtime FX trading pairs - instruments, prices and history
  - name: admin
    description: Account admin
  - name: plan-one
    description: Available on The One Plan
  - name: plan-extra
    description: Available on The Extra Plan
  - name: plan-premium
    description: Available on The Premium Plan
externalDocs:
  description: Find out more about fastFOREX.io
  url: https://www.fastforex.io
paths:
  /fx/pairs:
    get:
      tags:
        - fx
        - plan-extra
        - plan-premium
      description: List approx 2,300 supported FX pairs
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  ms:
                    $ref: '#/components/schemas/ResponseTime'
                  pairs:
                    type: object
                    minProperties: 2000
                    additionalProperties:
                      $ref: '#/components/schemas/AnyTradingPair'
              example:
                pairs:
                  EUR/USD:
                    base: EUR
                    quote: USD
                    alt: EURUSD
                  GBP/USD:
                    base: GBP
                    quote: USD
                    alt: GBPUSD
                  USD/GBP:
                    base: USD
                    quote: GBP
                    alt: USDGBP
                ms: 8
        '400':
          description: Bad Request
        '401':
          description: Not Authorized
        '429':
          description: Rate limit exceeded
components:
  schemas:
    ResponseTime:
      type: number
      format: int32
      description: Server response time in milliseconds
    AnyTradingPair:
      type: object
      description: Defines a currency trading pair.
      properties:
        base:
          type: string
          pattern: '[A-Z0-9]{3,6}'
          description: Base currency in the pair
        quote:
          type: string
          pattern: '[A-Z0-9]{3,6}'
          description: Quote currency in the pair
        alt:
          type: string
          pattern: '[A-Z0-9]{6,8}'
          description: Alternative trading pair identifier
      example:
        base: EUR
        quote: USD
        alt: EURUSD
  securitySchemes:
    api_key:
      type: apiKey
      name: api_key
      in: query
    apiKeyHeader:
      type: apiKey
      name: X-API-KEY
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: api_key
    basicAuth:
      type: http
      scheme: basic

````